# The Problem

With Lyrebird and new AI video reconstruction fake news is
about to explode. There will be zero chance of validating the
truthfulness of _any_ content once these tools become practical. 
The only way to combat lies will be with the integrity of 
professionals journalist and the immutability of the facts.
If we don't do this now the coming wave of outright lies will 
be impossible to stop in the future.

Fake news is a macro problem that can only be fixed by going micro. We can
use the blockchain to record facts, audit the truth and
make sure it is unchangeable.


## Building and maintaining the system

This should be started by a company to create the blockchain software
and associated scripts and apps to distribute them. Everything will be free. 
Readers can opt-in to cryptocurrency payments with the bulk 
going content creators, auditors and a tiny fraction to 
the company that maintains the system. All companies can 
freely use and embed the scripts into their app/website
at no cost. 

1. The company will use an ICO to get initial funding.
2. The company will work with respected journalists and news
organizations to build each of peices of the system.
3. Revenue will be generated when a reader opts-in to pay. Each
role will be able to set their own cost when their content 
is viewed. Readers will be able to set a max price for each
piece of content.

--- 
  
  
  
# The how 
  
  
  

## User Types

1. creator - any content creator, cameraman, reporter or journalist
2. validator - typically a news organization or other editors 
to validate a journalist. These role will be limited.
3. auditor - researchers to verify accuracy. Anyone can be an 
auditor but trusted auditors will be limited. Only trusted 
auditors will viewable by readers.
4. reader - any consumers of content. They will be anonymous.
Readers can opt-in to pay for content through micro-transactions
on the blockchain.

---

## Creation Process

Purpose: The intent is to have reporters report the facts 
as they know them and to have large organizations validate their
truthfulness. 

1. Cameraman records live video or journalist completes a story.
2. Raw content is upload to news site.
3. Content is posted publicly.
4. A hash is created for raw content. For a news article it must be 
only the raw text of the story. This is to stop tampering and validate
version and release dates of a story.
5. The blockchain is added with details of the story including the hash, 
timestamp, permanent-url, author-id, person-of-interest, requested-validator.
An author's reputation for a story is used to assist in authenticity.
6. Only newly created news can be added to the blockchain. This will
force news only to be recorded as it goes public. No retro active updates.
7. The author will request a news organization to be the validator.
Each news organization will be responsible for their own internal 
process to validate each report is factual. A recommended starting point
is to have a handful of devices behind psychical barriers (and offline when not
in use). Only a few agents inside the news organization 
can approve based on personal relationships. Anyone else who 
validates a story will add their validation to the raw content as well.
8. News organizations will create their own certs/identities
that will all be chained together. They will manage issuing them 
to devices and how access is administered. 
9. When corrections are needed the creators/validators will
create a diff (just like with git) with the changes and upload
the content to the blockchain like before but with a link 
to the original story. 

--- 

## Auditing Process 

Purpose: Content is useless without accuracy. Independent 
researches must confirm the truth, corroborate information, 
identity opinion and retroactively assess judgement. 

1. Anyone can audit content. But only trusted auditors will
be shown to the readers. 
2. Anyone can be an auditor. They can issue corrections, rate the 
accuracy, add annotations, references and add hindsight about
how practical a position actually worked out in the benefit of hindsight. 
This allows readers to not only see truthfulness but also those 
who consistently put things like policy ideals over practicality, 
reason and realistic expectations will receive hits to their 
reputation. This should allow readers to see politicians or reporters
who consistently lie, misrepresent or interject non-fact-based opinions
in their content.
3. Only once a trusted auditor has approved or added their own 
addendums to the content will be it publicly shown to readers.
4. Since the reader will be prolific and log which anonymous 
reader views content they will be able to be notified when
content is corrected or when trusted auditors verify content.
5. Trusted auditors can rate each other. Losing reputation for 
honesty can downgrade trusted auditors to be a non-trusted.

---


## Reputation Process 

Purpose: Content creators, validators, auditors and persons of 
interest in the content __must__ all have skin in the game. 
News and truth only works when we can validate
the single people who saw something themselves. This trust 
must be unable to be doctored.

1. The reputation of trusted auditors can be disputed by
validators and content creators. Other trusted auditors 
can down rank and rebuke other trusted auditors. Validators
can be auditors as well. 
2. Persons of interest in a piece of content will be scored
by the trusted auditors. Their collective reputation will be
displayed in all the reader's software.

---

## Reader's Process 

Purpose: Readers need to know what is true and see how factual
sources (persons of interest and news organizations) are. Scripts
will be available free to all companies to embed in their products.
Facebook, Twitter and other sites/apps will be able to inform 
readers as they on read and notify them after the fact if 
large parts of a story they viewed change. 

1. Readers are anonymous. Each device will receive a unique
id to record viewed content on the blockchain. 
2. A reader can log into multiple devices with all their personal
data local. This includes which id's they have for other devices.
3. In order to pay content owners while reducing the ability to
identify users they will have payouts in random intervals from a 
day to a month. They will find all the content to be paid along 
with their capped limits and transfer it to the content creators, 
validators and auditors.
4. Each company/site that uses the reader scripts will be required
to not modify the markup on the content. They will have a consortium 
to reach consensus on changes to the display of the markup. User
researchers and experts will also be in the consortium to ensure
that the representation of the content is factual and understandable
to the readers.

---

## Payment Process 

Purpose: Have readers pay for content creators, validators and 
auditors. 

1. As the system scales readers can start to add a 
wallet to their identity. 
2. When they read an article the content creator, validator 
and trusted auditors will receive payment for the content. 
3. Price setting will be set by owner of the data 
but readers can choose to have a cap per content piece. This 
ensures that creators, validators and trusted auditors don't set 
unreasonable rates. 
4. Payment will work via any app/site accessed 
on a reader's logged in device.

---

## Stolen Account Process 

Purpose: Content creators, validators and auditors will be
hacked.

1. Each role will create their own id on the blockchain. It 
will be tied to their device or could be hosted in cloud servers.
2. When an entity creates this id they will need to mark who
is their recovery contacts.
3. When a device is stolen or hacked they owner will reach
out to the recovery contacts to validate a new id. Recovery
contacts can not be changed ever.
4. New ids validated by 2/3 of the recovery contacts will
give provisional status. The more recovery contacts added
at creation the safer an account will be. 
5. User's can retroactively append a rejection of their approval
of content as long as 2/3 of the recovery accounts approve. This 
should allow for the informal trust networks to recorrect when
theft happens while stopping DDOS style of attacks.

---

## Platform applications

1. Blockchain. Most likely to run on Ethereum do to widespread 
adoption and the ability to run smart contracts. 
2. Content creator. Will be code that runs on any device
to take a url and an author's id to validate on the blockchain.
This can be via a web page or embedded in any mobile/desktop app.
3. Validator. Add a validation to content. Can also approve
new validators (with a long time delay) and remove validators
from the group in case of theft. There must be a 2/3 majority 
to remove a validator. Validator's reputation will be scored
by trusted auditors. A select group of large news organizations
will be the initial validators and can add more validators to the 
blockchain. Additions should be infrequent and requires 50% of 
validators to approve entrance. 
4. Auditing. A few trusted organizations will start as the 
trusted group. Each auditor will have a limited number of
new auditors they can add. Non-trusted auditor must have a high 
reputation from trusted auditors as well as a history of 
a large amount of work before they can be approved. Upgrading 
to a trusted auditor role must have 50% consensus. The tool will
allow normal auditors to correct, rebuke and relate sources. Trusted
auditor content will be viewable by readers.
5. Readers. This will be a javascript plugin as well as a 
script that can be run in multiple apps. The news organization's
reputation for accuracy, opinion vs news, content create and 
importance will be displayed. Individual statements in each story 
will overlaid with the truthfulness and other trusted auditor's
content. This will overlay on both text and video content. Since
each device has a unique id if a future correct is made by
the content owner this can send a notification or be displayed
the next time the reader see _any_ content.